<?php 
require_once "../modelos/Barra.php";
if (strlen(session_id())<1) 
	session_start();

$barra 				= 	new Barra();

$idtarjeta			=	isset($_POST["idtarjeta"])? limpiarCadena($_POST["idtarjeta"]):"";
$idpedido			=	isset($_POST["idpedido"])? limpiarCadena($_POST["idpedido"]):"";
$idusuario			=	$_SESSION["idusuario"];
$num_pedido			=	isset($_POST["num_pedido"])? limpiarCadena($_POST["num_pedido"]):"";
$fecha_hora			=	isset($_POST["fecha_hora"])? limpiarCadena($_POST["fecha_hora"]):"";
$impuesto			=	isset($_POST["impuesto"])? limpiarCadena($_POST["impuesto"]):"";
$total_venta		=	isset($_POST["total_venta"])? limpiarCadena($_POST["total_venta"]):"";


switch ($_GET["op"]) {
	case 'guardaryeditar':
		if (empty($idpedido)) {
			$rspta=$barra->insertar($idtarjeta,$idusuario,$num_pedido,$fecha_hora,$impuesto,$total_venta,
			$_POST["idarticulo"],$_POST["cantidad"],$_POST["precio_venta"],$_POST["precio_ventad"],$_POST["descuento"],$_POST["porcentaje"],$_POST["idalmacen"]); 
			echo $rspta ? "Datos registrados correctamente" : "No se pudo registrar los datos";
		}else{
			$rspta=$barra->actualizar($idpedido,$idtarjeta,$idusuario,$num_pedido,$fecha_hora,$impuesto,$total_venta,
			$_POST["idarticulo"],$_POST["cantidad"],$_POST["precio_venta"],$_POST["precio_ventad"],$_POST["descuento"],$_POST["porcentaje"],$_POST["idalmacen"]); 
			echo $rspta ? "Datos registrados correctamente" : "No se pudo registrar los datos";
		}
	break;

	case 'anular':
		$rspta=$barra->anular($idpedido);
		echo $rspta ? "Ingreso anulado correctamente" : "No se pudo anular el ingreso";
	break;
	
	case 'mostrar':
		$rspta=$barra->mostrar($idpedido);
		echo json_encode($rspta);
	break;

	case 'buscarNumeroPedido':
		$rspta=$barra->buscarNumeroPedido();
		echo json_encode($rspta);
	break;

	case 'buscarPedido':
		$rspta=$barra->buscarPedido($idtarjeta);
		echo json_encode($rspta);
	break;
	
	case 'listarDetalle':
			//recibimos el idtarjeta
			$id=$_GET['id'];
	
			$rspta=$barra->listarDetalle($id);
			$total=0;
			echo ' <thead style="background-color:#A9D0F5">
			<th>Articulo</th>
			<th>Cantidad</th>
			<th>Precio Venta</th>
			<th>Descuento</th>
			<th>Subtotal</th>
		   	</thead>';
			while ($reg=$rspta->fetch_object()) {
				echo '<tr class="filas">
				<td style="width:200px"><input type="hidden" name="idarticulo[]"  value="'.$reg->nombre.'">'.$reg->nombre.'</td>
				<td style="width:100px"><input type="text" name="cantidad[]" id="cantidad[]" style="text-align:right;width:100px" value="'.number_format($reg->cantidad,0,',','.').'"></td>
				<td style="width:160px"><input type="text" name="precio_venta[]" id="precio_venta[]" style="text-align:right;width:160px" value="'.number_format($reg->precio_venta,2,',','.').'"></td>
				<td style="width:160px"><input type="text" name="descuento[]" value="'.number_format($reg->descuento,2,',','.').'" style="text-align:right;width:160px"></td>
				<td style="width:160px;text-align:right"><span id="subtotal'.$cont.'" name="subtotal">'.number_format($reg->subtotal,2,',','.').'</span></td>';
				$cont=$cont+1;
				$total=$total+(($reg->precio_venta*$reg->cantidad)-$reg->descuento);
			}
			echo '<tfoot>
			 <th>TOTAL</th>
			 <th></th>
			 <th></th>
			 <th></th>
			 <th style="text-align:right"><h4 id="total"> '.number_format($total,2,',','.').' Bs.</h4>
			 <input type="hidden" name="total_venta" id="total_venta"></th>
		   </tfoot>';
	break;	
// se agrega la tarjeta en modulo de facturacion	
 	case 'agregarDetallePedidoDeBarra':
		//recibimos el idtarjeta
		$id			=	$_GET['id'];
		$cont		=	$_GET['cont']*1;
		$total		=	0;
		$rspta		=	$barra->agregarDetallePedidoDeBarra($id);
		$porciento	=	0.1; //10% porciento
		//$cont	=200;
		while ($reg=$rspta->fetch_object()) {
			$preciodsiniva	=$reg->precio_venta-$reg->iva;
			$data			=array($cont,(($reg->iddetalle_pedido)*1),(($reg->idpedido)*1),(($reg->idarticulo)*1));
            echo '<tr class="filas" bgcolor="#F0F984" id="fila'.$cont.'">
			<td><button type="button" class="btn btn-danger" onclick="eliminarDetalleClave('.$cont.')">X</button></td>
			<td><input type="hidden" name="idarticulo[]" value="'.$reg->idarticulo.'">'.$reg->nombre.'</td>
			<td>'.$reg->num_tarjeta.'</td>
			<td>'.$reg->numerolote.' / '.$reg->fecha.'</td>
			<td><input type="text" name="cantidad[]" id="cantidad[]" style="text-align:right;width:80px" value="'.number_format($reg->cantidad,0,',','.').'" readonly></td>
			<td><input type="text" name="precio_venta[]" id="precio_venta[]" style="text-align:right;width:120px" value="'.number_format($reg->precio_venta,2,',','.').'" readonly></td>
			<td><input type="text" name="precio_ventad[]" id="precio_ventad[]" style="text-align:right;width:80px" value="'.number_format($reg->preciod,1,',','.').'" readonly></td>
			<td><input type="text" name="porcentaje[]" id="porcentaje[]" style="text-align:right;width:70px" value="'.number_format($reg->porcentaje,0,',','.').'" readonly></td>
			<td><input type="text" name="descuento[]" value="'.number_format($reg->descuento,2,',','.').'" style="text-align:right;width:120px" readonly></td>
			<td><input type="text" name="subtotal[]" id="subtotal[]" style="text-align:right;width:120px" value="'.number_format($reg->subtotal,2,',','.').'"></td>
			<td><button type="button" onclick="modificarSubtotales()" class="btn btn-info"><i class="fa fa-refresh"></i></button>
			<input type="hidden" name="idpedido[]" id="idpedido[]" value="'.json_encode($data).'">
			<input type="hidden" name="idpedidosolo[]" id="idpedidosolo[]" value="'.(($reg->idpedido)*1).'">
			<input type="hidden" name="idalmacen[]" id="idalmacen[]" value="'.$reg->idalmacen.'">
			<input type="hidden" name="precio_ventasiniva[]" id="precio_ventasiniva[]"  value="'.number_format($preciodsiniva,2,',','.').'"></input>
			<input type="hidden" name="exento[]" value="'.$reg->exento.'">
			<input type="hidden" name="nrolote[]" value="'.$reg->numerolote.'">
			<input type="hidden" name="articulo[]" id="articulo[]" value="'.$reg->nombre.'">
			<input type="hidden" name="iva[]" value="'.number_format($reg->iva,2,',','.').'">
			<input type="hidden" name="exentot[]" value="'.number_format($reg->mexento,2,',','.').'">	
			</td>
			</tr>';
			
			$total	=	$total+$reg->subtotal-$reg->iva;
			$cont	=	$cont+1;
		}
		$porciento	=	$total*$porciento;
		echo '<input type="hidden" name="porciento[]" id="porciento[]" value="'.$porciento.'">';
	break; 
	//agregarDetallePedidoDeBarra en la barra
	case 'agregarDetallePorTarjeDeCliente':
		//recibimos el idtarjeta
		$id		=$_GET['id'];
		$cont	=$_GET['cont'];
		$rspta	=$barra->agregarDetallePorTarjeDeCliente($id);
		$total	=0;
		//$cont	=200;
		
		while ($reg=$rspta->fetch_object()) {
			echo '<tr class="filas" bgcolor="#F0F984" id="fila'.$cont.'">
			<td><button type="button" class="btn btn-danger" onclick="eliminarDetalleClave('.$cont.')">X</button></td>
			<td><input type="hidden" name="idarticulo[]" value="'.$reg->idarticulo.'">'.$reg->nombre.'</td>
			<td><input type="text" name="cantidad[]" id="cantidad[]" style="text-align:right;width:100px" value="'.number_format($reg->cantidad,0,',','.').'" readonly></td>
			<td><input type="text" name="precio_venta[]" id="precio_venta[]" style="text-align:right;width:160px" value="'.number_format($reg->precio_venta,2,',','.').'" readonly></td>
			<td><input type="text" name="precio_ventad[]" id="precio_ventad[]" style="text-align:right;width:120px" value="'.number_format($reg->preciod,1,',','.').'" readonly></td>
			
			<td style="width:120px;text-align:right"><span id="subtotal'.$cont.'" name="subtotal">'.number_format($reg->subtotal,2,',','.').'</span></td>
			<td><button type="button" onclick="modificarSubtotales()" class="btn btn-info"><i class="fa fa-refresh"></i></button></td>
			<td style="visibility:hidden"><input type="hidden" name="idalmacen[]" id="idalmacen[]" value="'.$reg->idalmacen.'">
			<input type="hidden" name="idpedido1[]" id="idpedido1[]" value="'.$reg->idpedido.'">
			<input type="hidden" name="idpedidosolo[]" id="idpedidosolo[]" value="'.(($reg->idpedido)*1).'">
			<input type="hidden" name="idalmacen[]" id="idalmacen[]" value="'.$reg->idalmacen.'">
			<input type="hidden" name="nrolote[]" value="'.$reg->numerolote.'">
			<input type="hidden" name="articulo[]" id="articulo[]" value="'.$reg->nombre.'">
			<input type="hidden" name="iva[]" value="'.number_format($reg->iva,2,',','.').'">
			<input type="hidden" name="exentot[]" value="'.number_format($reg->exentot,2,',','.').'">
			<input type="hidden" name="porcentaje[]" id="porcentaje[]" value="'.number_format($reg->porcentaje,0,',','.').'" readonly>
			<input type="hidden" name="descuento[]" value="'.number_format($reg->descuento,2,',','.').'" readonly>	
				
			</td>
			
			</tr>';
			$cont=$cont+1;
		}
	break;

    case 'listar':
		$rspta=$barra->listar();
		$data=Array();
		$url='reportes/exFactura.php?id=';
		
		while ($reg=$rspta->fetch_object()) {
            $data[]=array(
			"0"=>(($reg->estado!='Anulado')?'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idpedido.')">
			<i class="fa fa-eye"></i></button>'.' '.'<button class="btn btn-danger btn-xs" onclick="anular('.$reg->idpedido.')">
			<i class="fas fa-times"></i></button>':'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idpedido.')">
			<i class="fa fa-eye"></i></button>').'<a target="_blank" href="'.$url.$reg->idpedido.'">
			<button class="btn btn-info btn-xs"><i class="fa fa-file"></i></button></a>',
            "1"=>$reg->fecha,
            "2"=>$reg->tarjeta,
            "3"=>$reg->usuario,
            "4"=>$reg->num_pedido,
            "5"=>number_format($reg->total_pedido,2,',','.'),
            "6"=>($reg->estado!='Anulado')?'<span class="badge bg-green">Aceptado</span>':'<span class="badge bg-red">Anulado</span>'
              );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'selectCliente':
		require_once "../modelos/Persona.php";
		$persona = new Persona();

		$rspta = $persona->listarc();

		while ($reg = $rspta->fetch_object()) {
			echo '<option value='.$reg->idpersona.'>'.$reg->nombre.'</option>';
		}
	break;

	case 'selectClienteTarjeta':
		require_once "../modelos/Persona.php";
		$persona = new Persona();

		$rspta = $persona->listarct();

		while ($reg = $rspta->fetch_object()) {
			echo '<option value='.$reg->idtarjeta.'>'.$reg->nombre.'</option>';
		}
	break;

	case 'listarArticulos':
		require_once "../modelos/Articulo.php";
		$articulo	=	new Articulo();
		$rspta		=	$articulo->listarActivosVentaBarra();
		$dataA		=	Array();
		$porcentaje	=	0;
		$iva		=	($_SESSION['iva_empresa']/100)+1;
		$tasa		=	($_SESSION['tasa_dollar_empresa']);
		$precio		= 	0;
		while ($reg=$rspta->fetch_object()) {
			$precio	= $reg->preciod*$tasa;
			if ($reg->exento=='si'){
				$precio = $precio;
			}
			$dataA[]=array(
						"0"=>'<button class="btn btn-warning" 
						onclick="agregarDetalle('.$reg->idarticulo.','.$reg->idalmacen.',\''.$reg->nombre.'\','.$precio.','.$reg->preciod.','.$reg->preciodsiniva.','.$porcentaje.',\''.$reg->exento.'\')"><span class="fa fa-plus"></span></button>',
						"1"=>$reg->nombre,
						"2"=>$reg->categoria,
						"3"=>$reg->codigo,
						"4"=>number_format($reg->stock,0,',','.'),
						"5"=>number_format($precio,2,',','.'),
						"6"=>number_format($reg->preciod,1,',','.'),
						"7"=>"<img src='files/articulos/".$reg->imagen."' height='50px' width='50px'>"
							);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($dataA),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($dataA),//enviamos el total de registros a visualizar
						"aaData"=>$dataA); 
		echo json_encode($results);

	break;

	case 'listarArticulosb':
		require_once "../modelos/Articulo.php";
		$articulo	=	new Articulo();
		$rspta		=	$articulo->listarActivosVenta();
		$dataA		=	Array();
		$porcentaje	=	0;
		$iva		=	($_SESSION['iva_empresa']/100)+1;
		$tasa		=	($_SESSION['tasa_dollar_empresa']);
		$precio		= 	0;
		while ($reg=$rspta->fetch_object()) {
			$precio	= $reg->preciod*$tasa;
			if ($reg->exento=='si'){
				$precio = $precio;
			}
			$dataA[]=array(
						"0"=>'<button class="btn btn-warning" 
						onclick="agregarDetalle('.$reg->idarticulo.','.$reg->idalmacen.',\''.$reg->nombre.'\','.$precio.','.$reg->preciod.','.$reg->preciodsiniva.','.$porcentaje.',\''.$reg->exento.'\')"><span class="fa fa-plus"></span></button>',
						"1"=>$reg->nombre,
						"2"=>$reg->categoria,
						"3"=>$reg->codigo,
						"4"=>number_format($reg->stock,0,',','.'),
						"5"=>number_format($precio,2,',','.'),
						"6"=>number_format($reg->preciod,1,',','.'),
						"7"=>"<img src='files/articulos/".$reg->imagen."' height='50px' width='50px'>"
							);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($dataA),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($dataA),//enviamos el total de registros a visualizar
						"aaData"=>$dataA); 
		echo json_encode($results);

	break;

	case 'listarPedidoDeBarra':
		$rspta=$barra->listarPedidoDeBarra();
		$data=Array();
		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
					"0"=>'<button class="btn btn-warning" 
					onclick="agregarDetallePedidoDeBarra('.$reg->idpedido.')">
					<span class="fa fa-plus"></span></button>',
					"1"=>$reg->tarjeta,
					"2"=>$reg->num_pedido,
					"3"=>number_format($reg->total_pedido,2,',','.'),
					"4"=>$reg->estado
					);
		}
		$results=array(
				"sEcho"=>1,//info para datatables
				"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
				"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
				"aaData"=>$data); 
		echo json_encode($results);
	break;
}
 ?>